# **forecTheta**: The R package for forecasting time series by Theta Models

## Overview

This package provides functions for forecasting univariate time series using several Theta models, originally proposed by Assimakopoulos and Nikolopoulos (2000) and later extended by Fiorucci et al. (2016). This version also includes implementations of bagging methods, based on the work of Bergmeir et al. (2016), applied to the DOTM, DSTM, OTM, and STM models.

## References

- Assimakopoulos, V., & Nikolopoulos, K. (2000).  
  *The theta model: a decomposition approach to forecasting*.  
  *International Journal of Forecasting*, **16**(4), 521–530.  
  [https://doi.org/10.1016/S0169-2070(00)00066-2](https://doi.org/10.1016/S0169-2070(00)00066-2)
  
- Bergmeir, C., Hyndman, R.J. and Benítez, J. M. (2016). 
  *Bagging exponential smoothing methods using STL decomposition and Box–Cox transformatio*. 
  *International journal of forecasting*, **32** (2), 303–312.
  [https://doi.org/10.1016/j.ijforecast.2015.07.002](https://doi.org/10.1016/j.ijforecast.2015.07.002)

- Fiorucci, J.A., Pellegrini, T.R., Louzada, F., Petropoulos, F., & Koehler, A. (2016).  
  *Models for optimising the theta method and their relationship to state space models*.  
  *International Journal of Forecasting*, **32**(4), 1151–1161.  
  [https://doi.org/10.1016/j.ijforecast.2016.02.005](https://doi.org/10.1016/j.ijforecast.2016.02.005)  
